# Build with --debug (1) or --symbols (0)
%define debug   0
%define plugindir %{_usr}/lib/%{name}/plugins
%define libplugindir %{_usr}/lib/librnd/plugins

## NOTE This spec must be auto-generated.
# Only edit version, release and svn revision in here.
# See packaging.README for full details.
#
# The current librnd-devel package in the same Mga release system
# as building for and in, must be installed before auto updating
# the spec.
#
# For svn snapshot:
# Run './mk-tar' in SOURCES and note the svn revision # in output.
# In this spec. edit the '#define svn' to the new revision and
# replace '#' with percent sign if not already there.
#
# For full release:
# Get the new tarball
# Replace percent sign with '#' in '%%define svn' line
#
# Then for either full or snapshot release:
# Edit this spec to the new Version and Release, save and close.
# Now run './mk-spec camv-rnd' in SOURCES to re-create
# this spec file with any upstream changes.
##############################################

# commented out if not svn snapshot
#define svn

%define rel     1

Name:           camv-rnd
Version:        1.1.2
Release:        %mkrel %{?svn:0.%{svn}.}%{rel}
Summary:        Standard installation
License:        GPLv2+ and LGPLv2+ and BSD and MIT
Group:          Sciences/Other
URL:            http://repo.hu/projects/camv-rnd
Source0:        http://repo.hu/projects/%{name}/releases/%{name}%{?svn:-%{svn}}%{!?svn:-%{version}}.tar.gz
Source1:        %{name}.desktop
Source2:        mk-spec
Source3:        spec.tpl
Source4:        packaging.README

BuildRequires:  fungw-devel
BuildRequires:  librnd-devel >= 4.0.0
BuildRequires:  pkgconfig(freetype2)

Requires:       %{name}-core = %{version}-%{release}
Recommends:     %{name}-import = %{version}-%{release}
Recommends:     %{name}-lib-gui = %{version}-%{release}
Recommends:     %{_lib}rnd4-hid-gtk2-gdk >= 4.0.0
Recommends:     %{name}-export-gd = %{version}-%{release}
Recommends:     %{name}-export-vector = %{version}-%{release}
Recommends:     %{name}-doc = %{version}-%{release}

%description
camv-rnd is a modular EDA (mainly PCB) CAM file format viewer that supports
gerber, excellon and g-code. The GUI features zoom, pan and measurements on
multiple layers from multiple files.

For full details of supported formats etc. please visit:
http://www.repo.hu/projects/camv-rnd/datasheet.html

%package core
Summary:        Executable with the core functionality and boxsym-rnd
Requires:       %{_lib}rnd4 >= 4.0.0

%description core
Includes the data model, the most common action commands, the native
file format. Can be used in headless mode or batch/scripted mode for
automated processing or with GUI (if camv-rnd-lib-gui and librnd GUI HIDs
are installed).

%package doc
Summary:        Documentation
BuildArch:      noarch

%description doc
User manual and developer doc (html).

%package import
Summary:        Standard import file format support (PCB)
Requires:       %{name}-core = %{version}-%{release}

%description import
Plugins for loading gerber layers, excellon drill files and g-code files.

%package export-gd
Summary:        Export formats that require libgd
Requires:       %{name}-core = %{version}-%{release}
Requires:       %{_lib}rnd4-pixmap >= 4.0.0

%description export-gd
Bitmap export plugin (png, jpeg, etc.)

%package export-vector
Summary:        Export formats: vector graphics
Requires:       %{name}-core = %{version}-%{release}
Requires:       %{_lib}rnd4 >= 4.0.0

%description export-vector
Common vector graphic export formats: ps, eps, svg.

%package export-extra
Summary:        Export formats: special/extra
Requires:       %{name}-core = %{version}-%{release}
Requires:       %{name}-export-vector = %{version}-%{release}

%description export-extra
Less commonly used export formats: direct printing with lpr.

%package lib-gui
Summary:        Support library for building the GUI
Requires:       %{name}-core = %{version}-%{release}
Requires:       %{_lib}rnd4-lib-gui >= 4.0.0

%description lib-gui
Provides camv-rnd specific dialog boxes and top window GUI elements.

%prep
%autosetup -n %{name}-%{?svn}%{!?svn:%{version}} -p1

%build
./configure \
--libarchdir=%{_lib} \
--all=disable --buildin-io_tedax --buildin-std_tools --plugin-export_ps --plugin-import_gcode --plugin-import_excellon --plugin-export_lpr --plugin-import_gerb --plugin-export_svg --plugin-gui --plugin-dialogs --plugin-export_png \
%if %{debug} == 1
        prefix=%{_prefix} --debug
%else
        prefix=%{_prefix} --symbols
%endif

make

%install
%make_install

# Install icon
mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps
cp doc/resources/logo_small.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

# Install Desktop files
mkdir -p %{buildroot}%{_datadir}/applications
cp %{SOURCE1} %{buildroot}%{_datadir}/applications/

%files
# Meta-Package with desktop file
%{_datadir}/applications/%{name}.desktop

%files doc
%doc %{_docdir}/%{name}/

%files core
%{_iconsdir}/hicolor/scalable/apps/camv-rnd.svg
%{_datadir}/applications/%{name}.desktop
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%config(noreplace) %{_sysconfdir}/%{name}/conf_core.lht
%config(noreplace) %{_sysconfdir}/%{name}/menu.lht

%files import
%{plugindir}/import_excellon.pup
%{plugindir}/import_excellon.so
%{plugindir}/import_gcode.pup
%{plugindir}/import_gcode.so
%{plugindir}/import_gerb.pup
%{plugindir}/import_gerb.so
%config(noreplace) %{_sysconfdir}/%{name}/import_gcode.conf

%files export-gd
%{plugindir}/export_png.pup
%{plugindir}/export_png.so

%files export-vector
%{plugindir}/export_ps.pup
%{plugindir}/export_ps.so
%{plugindir}/export_svg.pup
%{plugindir}/export_svg.so

%files export-extra
%{plugindir}/export_lpr.pup
%{plugindir}/export_lpr.so

%files lib-gui
%{plugindir}/dialogs.pup
%{plugindir}/dialogs.so
%{plugindir}/gui.pup
%{plugindir}/gui.so


%changelog
* Thu May 25 2023 barjac <barjac> 1.1.2-1.mga9
+ Revision: 1957987
- new version 1.1.2
- update mk-spec script

* Wed Feb 08 2023 barjac <barjac> 1.1.1-1.mga9
+ Revision: 1939517
- new version 1.1.1
- major overhaul of scripts for new librnd
- common mk-spec script for pcb-rnd, camv-rnd and (sch-rnd not released)

* Thu Nov 17 2022 barjac <barjac> 1.1.0-1.mga9
+ Revision: 1908584
- new version 1.1.0
- big changes upstream so now using mk-spec to track
- added spec.tpl, mk-spec, packaging.README

* Fri Aug 12 2022 barjac <barjac> 1.0.3-2.mga9
+ Revision: 1877128
- rebuild for libgenht

* Wed Jul 20 2022 danf <danf> 1.0.3-1.mga9
+ Revision: 1869486
- Update to ver. 1.0.3

* Thu Mar 17 2022 barjac <barjac> 1.0.2-1.mga9
+ Revision: 1795108
- new version 1.0.2
- depends on librnd >= 3.1.1

* Thu Jan 20 2022 barjac <barjac> 1.0.1-1.mga9
+ Revision: 1769190
- new version 1.0.1

* Wed Jul 21 2021 barjac <barjac> 1.0.0-1.mga9
+ Revision: 1737324
- new package camv-rnd

