# Build with --debug (1) or --symbols (0)
%define debug   0
%define plugindir %{_usr}/lib/%{name}/plugins
%define libplugindir %{_usr}/lib/librnd/plugins

## NOTE This spec must be auto-generated.
# Only edit version, release and svn revision in here.
# See packaging.README for full details.
#
# The current librnd-devel package in the same Mga release system
# as building for and in, must be installed before auto updating
# the spec.
#
# For svn snapshot:
# Run './mk-tar' in SOURCES and note the svn revision # in output.
# In this spec. edit the '#define svn' to the new revision and
# replace '#' with percent sign if not already there.
#
# For full release:
# Get the new tarball
# Replace percent sign with '#' in '%%define svn' line
#
# Then for either full or snapshot release:
# Edit this spec to the new Version and Release, save and close.
# Now run './mk-spec @pkgname@' in SOURCES to re-create
# this spec file with any upstream changes.
##############################################

# commented out if not svn snapshot
@svn-revision@

@release@

Name:           camv-rnd
@version@
Release:        %mkrel %{?svn:0.%{svn}.}%{rel}
Summary:        Standard installation
License:        GPLv2+ and LGPLv2+ and BSD and MIT
Group:          Sciences/Other
URL:            http://repo.hu/projects/camv-rnd
Source0:        http://repo.hu/projects/%{name}/releases/%{name}%{?svn:-%{svn}}%{!?svn:-%{version}}.tar.gz
Source1:        %{name}.desktop
Source2:        mk-spec
Source3:        spec.tpl
Source4:        packaging.README

BuildRequires:  fungw-devel
BuildRequires:  librnd-devel >= 4.0.0
BuildRequires:  pkgconfig(freetype2)

@camv-rnd-req@

%description

%package core
Summary:        @core-summary@
@camv-rnd-core-req@

%description core
@core-desc@

%package doc
Summary:        @doc-summary@
BuildArch:      noarch

%description doc
@doc-desc@

%package import
Summary:        @import-summary@
@camv-rnd-import-req@

%description import
@import-desc@

%package export-gd
Summary:        @export-gd-summary@
@camv-rnd-export-gd-req@

%description export-gd
@export-gd-desc@

%package export-vector
Summary:        @export-vector-summary@
@camv-rnd-export-vector-req@

%description export-vector
@export-vector-desc@

%package export-extra
Summary:        @export-extra-summary@
@camv-rnd-export-extra-req@

%description export-extra
@export-extra-desc@

%package lib-gui
Summary:        @lib-gui-summary@
@camv-rnd-lib-gui-req@

%description lib-gui
@lib-gui-desc@

%prep
%autosetup -n %{name}-%{?svn}%{!?svn:%{version}} -p1

%build
./configure \
--libarchdir=%{_lib} \
@MAIN_CONFIGURE_OPTIONS@\
%if %{debug} == 1
        prefix=%{_prefix} --debug
%else
        prefix=%{_prefix} --symbols
%endif

make

%install
%make_install

# Install icon
mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps
cp doc/resources/logo_small.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

# Install Desktop files
mkdir -p %{buildroot}%{_datadir}/applications
cp %{SOURCE1} %{buildroot}%{_datadir}/applications/

%files
# Meta-Package with desktop file
%{_datadir}/applications/%{name}.desktop

%files doc
%doc %{_docdir}/%{name}/

%files core
%{_iconsdir}/hicolor/scalable/apps/camv-rnd.svg
%{_datadir}/applications/%{name}.desktop
@core-files@

%files import
@import-files@

%files export-gd
@export-gd-files@

%files export-vector
@export-vector-files@

%files export-extra
@export-extra-files@

%files lib-gui
@lib-gui-files@
